org.apache.activemq.artemis.jms.client

## Class ActiveMQJMSConsumer

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQJMSConsumer

- All Implemented Interfaces:
    AutoCloseable, javax.jms.JMSConsumer

      public class ActiveMQJMSConsumer
      extends Object
      implements javax.jms.JMSConsumer

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `javax.jms.MessageListener` | `getMessageListener()`
    `String` | `getMessageSelector()`
    `javax.jms.Message` | `receive()`
    `javax.jms.Message` | `receive(long timeout)`
    `<T> T` | `receiveBody(Class<T> c)`
    `<T> T` | `receiveBody(Class<T> c, long timeout)`
    `<T> T` | `receiveBodyNoWait(Class<T> c)`
    `javax.jms.Message` | `receiveNoWait()`
    `void` | `setMessageListener(javax.jms.MessageListener listener)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMessageSelector

          public String getMessageSelector()

      Specified by:
        `getMessageSelector` in interface `javax.jms.JMSConsumer`

    - #### getMessageListener

          public javax.jms.MessageListener getMessageListener()
                                                       throws javax.jms.JMSRuntimeException

      Specified by:
        `getMessageListener` in interface `javax.jms.JMSConsumer`
      Throws:
        `javax.jms.JMSRuntimeException`

    - #### setMessageListener

          public void setMessageListener(javax.jms.MessageListener listener)
                                  throws javax.jms.JMSRuntimeException

      Specified by:
        `setMessageListener` in interface `javax.jms.JMSConsumer`
      Throws:
        `javax.jms.JMSRuntimeException`

    - #### receive

          public javax.jms.Message receive()

      Specified by:
        `receive` in interface `javax.jms.JMSConsumer`

    - #### receive

          public javax.jms.Message receive(long timeout)

      Specified by:
        `receive` in interface `javax.jms.JMSConsumer`

    - #### receiveNoWait

          public javax.jms.Message receiveNoWait()

      Specified by:
        `receiveNoWait` in interface `javax.jms.JMSConsumer`

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `javax.jms.JMSConsumer`

    - #### receiveBody

          public <T> T receiveBody(Class<T> c)

      Specified by:
        `receiveBody` in interface `javax.jms.JMSConsumer`

    - #### receiveBody

          public <T> T receiveBody(Class<T> c,
                                   long timeout)

      Specified by:
        `receiveBody` in interface `javax.jms.JMSConsumer`

    - #### receiveBodyNoWait

          public <T> T receiveBodyNoWait(Class<T> c)

      Specified by:
        `receiveBodyNoWait` in interface `javax.jms.JMSConsumer`

Copyright © 2017 The Apache Software Foundation. All rights reserved.